curl --request GET \
--url https://api.themoviedb.org/3/account/{account_id}/watchlist/movies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{account_id}/watchlist/movies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{account_id}/watchlist/movies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/4MUfDtBqUFqotGF5RJOfNfoBTLo.jpg",
"genre_ids": [
28,
27,
14
],
"id": 951546,
"original_language": "en",
"original_title": "Reign of Chaos",
"overview": "When the world is gripped by a plague unleashed by the evil lord Chaos, and humans are turned into rabid creatures, mankind can only be saved by three young women, descendants of a Goddess, with the power to stop Chaos' evil.",
"popularity": 28.327,
"poster_path": "/nTMmpvR9TyV631tpFr4FtYxG0FC.jpg",
"release_date": "2022-04-12",
"title": "Reign of Chaos",
"video": false,
"vote_average": 5.6,
"vote_count": 38
}
],
"total_pages": 1,
"total_results": 1
}Get watchlist movies
This endpoint is used to get all movies in a user’s watchlist.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique numeric identifier for a user account on TMDB. See how to get account id here [blocked].
548
Query Parameters
A unique identifier for an authenticated user session. Usually used for user authentication [blocked]
"02a0e6d34dbd8325254e83c78918599076a62b0e"
A specific page number to get results for. Defaults to 1
1
The language and region of the content, represented by an ISO 639-1 and ISO 3166-1 code combination (e.g, en-US for English, United States.). Defaults to en-US.
"en-US"
Used to determine the order in which results are sorted in the response (ascending or descending). Allowed values: * created_at.asc: Sort by date created in ascending order * created_at.desc: sort by date created in descending order Defaults to created_at.asc
created_at.asc, created_at.desc Response
Request successful
Current page number of the results
1
Show child attributes
Show child attributes
[
{
"adult": false,
"backdrop_path": "/4MUfDtBqUFqotGF5RJOfNfoBTLo.jpg",
"genre_ids": [28, 27, 14],
"id": 951546,
"original_language": "en",
"original_title": "Reign of Chaos",
"overview": "When the world is gripped by a plague unleashed by the evil lord Chaos, and humans are turned into rabid creatures, mankind can only be saved by three young women, descendants of a Goddess, with the power to stop Chaos' evil.",
"popularity": 28.327,
"poster_path": "/nTMmpvR9TyV631tpFr4FtYxG0FC.jpg",
"release_date": "2022-04-12",
"title": "Reign of Chaos",
"video": false,
"vote_average": 5.6,
"vote_count": 38
}
]
The total number of pages returned in the response
1
The total number of results returned in the response
1
